Package picard.vcf

## Class MakeVcfSampleNameMap

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.vcf.MakeVcfSampleNameMap

-     public class MakeVcfSampleNameMap
      extends CommandLineProgram

  Creates a TSV from sample name to VCF/GVCF path, with one line per input.

  ### Summary

  Creates a TSV from sample name to VCF/GVCF path, with one line per input. Input VCF/GVCFs must contain a header describing exactly one sample.

  ### Usage example:

           java -jar picard.jar MakeVcfSampleNameMap \
            INPUT=sample1.vcf.gz \
            INPUT=sample2.vcf.gz \
            OUTPUT=cohort.sample_map

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `List<String>` | `INPUT` |
    `File` | `OUTPUT` |

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MakeVcfSampleNameMap()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected int` | `doWork()` | Do the work after command line has been parsed.

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `customCommandLineValidation, getCommandLine, getCommandLineParser, getDefaultHeaders, getFaqLink, getMetricsFile, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INPUT

          @Argument(shortName="I",
                    doc="One or more input VCFs to extract sample names from.",
                    minElements=1)
          public List<String> INPUT

    - #### OUTPUT

          @Argument(shortName="O",
                    doc="Output file to write the sample-name map to.")
          public File OUTPUT

  - ### Constructor Detail

    - #### MakeVcfSampleNameMap

          public MakeVcfSampleNameMap()

  - ### Method Detail

    - #### doWork

          protected int doWork()

      Description copied from class: `CommandLineProgram`
      Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.
      Specified by:
        `doWork` in class `CommandLineProgram`
      Returns:
        program exit status.